### Function

# Gio DBusMessage bytes_needed

since: 2.26

#### Declaration [src]

    gssize
    g_dbus_message_bytes_needed (
      guchar* blob,
      gsize blob_len,
      GError** error
    )

#### Description [src]

Utility function to calculate how many bytes are needed to completely deserialize the D-Bus message stored at `blob`.

Available since: 2.26

#### Parameters

`blob`

  Type: An array of `guint8`

  A blob representing a binary D-Bus message.

  The length of the array is specified in the `blob_len` argument.
  The data is owned by the caller of the function.

`blob_len`

  Type: `gsize`

  The length of `blob` (must be at least 16).

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gssize`

Number of bytes needed or -1 if `error` is set (e.g. if `blob` contains invalid data or not enough data is available to determine the size).